org.apache.cayenne.dba.postgres

## Class PostgreSQLTreeProcessor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
  - - org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor
    - - org.apache.cayenne.dba.postgres.PostgreSQLTreeProcessor

- All Implemented Interfaces:
    NodeTreeVisitor, SQLTreeProcessor

      public class PostgreSQLTreeProcessor
      extends TypeAwareSQLTreeProcessor

  Since:
    4.2

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor

      `byColumnTypeProcessors, byNodeTypeProcessors, byValueTypeProcessors, DEFAULT_TYPE, DEFAULT_TYPE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostgreSQLTreeProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Optional<Node>` | `onFunctionNode(Node parent, FunctionNode child, int index)`
    `protected Optional<Node>` | `onLikeNode(Node parent, LikeNode child, int index)`
    `protected Optional<Node>` | `onLimitOffsetNode(Node parent, LimitOffsetNode child, int index)`

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.TypeAwareSQLTreeProcessor

      `defaultProcess, getColumnAttribute, getColumnProcessor, getObjAttributeFor, getValueAttribute, getValueProcessor, onChildNodeStart, process, registerColumnProcessor, registerProcessor, registerValueProcessor, replaceChild, wrapInFunction`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

      `onChildNodeEnd, onNodeEnd, onNodeStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostgreSQLTreeProcessor

          public PostgreSQLTreeProcessor()

  - ### Method Detail

    - #### onLimitOffsetNode

          protected Optional<Node> onLimitOffsetNode(Node parent,
                                                     LimitOffsetNode child,
                                                     int index)

    - #### onLikeNode

          protected Optional<Node> onLikeNode(Node parent,
                                              LikeNode child,
                                              int index)

    - #### onFunctionNode

          protected Optional<Node> onFunctionNode(Node parent,
                                                  FunctionNode child,
                                                  int index)

Copyright © 2001–2021 Apache Cayenne. All rights reserved.